from dataclasses import dataclass

from flask import request


@dataclass
class UserInput:
    short_code: str
    url: str

    @property
    def short_url(self):
        return f"{request.host_url}{self.short_code}"
