class ApiException(Exception):
    def __init__(self, message="Unknown server error", code=500):
        self.message = message
        self.code = code


class BadRequestException(ApiException):
    def __init__(self, message="Bad request", code=400):
        super().__init__(message, code)


class ShortCodeNotFoundException(Exception):
    pass
